compila grass on fedora31: configure: error: *** Unable to locate GDAL library.

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

compila grass on fedora31: configure: error: *** Unable to locate GDAL library.

Pietro Zambelli
Dear devs,

I have an issue when I try to configure ad compile grass.
At the moment I'm on Fedora 31. So I installed the default gdal (2.3.2) with:

`sudo dnf install gdal gdal-devel gdal-libs`

I executed locally gdalinfo on a tif and it provide the information of the raster and then I checked the installation paths with:

```
$ /usr/bin/gdal-config --version
2.3.2
$ /usr/bin/gdal-config --libs
-L/usr/lib64 -lgdal
$ /usr/bin/gdal-config --cflags
-I/usr/include/gdal
$ /usr/bin/gdal-config --datadir
/usr/share/gdal
```

So it seems to work, then my configure command is:

```
$ CFLAGS="-g -O1 -Wall -Wextra -Wundef -Wfloat-equal -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wstrict-overflow=5 -Wwrite-strings  -Wshadow -Werror-implicit-function-declaration -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Winit-self -Wuninitialized -fno-common -fexceptions -fstack-protector -fmudflap -m64 -mtune=native" \
CXXFLAGS="-g -O1 -Wall" \
./configure \
    --prefix=$HOME/.local \
    --with-zstd \
    --with-blas --with-blas-includes=/usr/include/atlas-x86_64-base/ \
    --with-lapack --with-lapack-includes=/usr/include/atlas-x86_64-base/ \
    --with-cxx \
    --with-cairo \
    --with-freetype \
    --with-freetype-includes=/usr/include/freetype2 \
    --with-geos \
    --with-gdal=/usr/bin/gdal-config \
    --with-gdal-includes=/usr/include/gdal \
    --with-gdal-libs=/usr/lib64 \
    --with-gdal-share=/usr/share/gdal \
    --with-nls \
    --with-netcdf \
    --with-odbc \
    --with-openmp \
    --with-postgres \
    --with-python=/usr/bin/python3-config \
    --with-readline \
    --with-proj \
    --with-pthread \
    --with-sqlite \
    --with-wxwidgets=/usr/bin/wx-config
```

But I get the following error:
```
checking host system type... x86_64-pc-linux-gnu
checking for gcc... gcc
[...]
checking whether to use GDAL... yes
checking for gdal-config... /usr/bin/gdal-config
configure: error: *** Unable to locate GDAL library.
```

Do you understand why I still receive this error even if I specify all the paths of the gdal iclude/libs/share directories?
Any ideas on how to solve/fix this issue?

Thank you for your support.

Pietro










_______________________________________________
grass-dev mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-dev
Reply | Threaded
Open this post in threaded view
|

Re: compila grass on fedora31: configure: error: *** Unable to locate GDAL library.

Veronica Andreo
I had the same issue last week in an Ubuntu 18 box, both installing binaries and trying to compile grass. We had to remove everything, esp the official repo of qgis, install grass first from ubuntugis-unstable and then get an older qgis version. Some dependencies hell and conflicting versions, I guess...

Did you try installing from binaries? There's already grass7.8.1 for f31:  https://koji.fedoraproject.org/koji/buildinfo?buildID=1410936

Vero

El lun., 11 nov. 2019 a las 9:13, Pietro (<[hidden email]>) escribió:
Dear devs,

I have an issue when I try to configure ad compile grass.
At the moment I'm on Fedora 31. So I installed the default gdal (2.3.2) with:

`sudo dnf install gdal gdal-devel gdal-libs`

I executed locally gdalinfo on a tif and it provide the information of the raster and then I checked the installation paths with:

```
$ /usr/bin/gdal-config --version
2.3.2
$ /usr/bin/gdal-config --libs
-L/usr/lib64 -lgdal
$ /usr/bin/gdal-config --cflags
-I/usr/include/gdal
$ /usr/bin/gdal-config --datadir
/usr/share/gdal
```

So it seems to work, then my configure command is:

```
$ CFLAGS="-g -O1 -Wall -Wextra -Wundef -Wfloat-equal -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wstrict-overflow=5 -Wwrite-strings  -Wshadow -Werror-implicit-function-declaration -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Winit-self -Wuninitialized -fno-common -fexceptions -fstack-protector -fmudflap -m64 -mtune=native" \
CXXFLAGS="-g -O1 -Wall" \
./configure \
    --prefix=$HOME/.local \
    --with-zstd \
    --with-blas --with-blas-includes=/usr/include/atlas-x86_64-base/ \
    --with-lapack --with-lapack-includes=/usr/include/atlas-x86_64-base/ \
    --with-cxx \
    --with-cairo \
    --with-freetype \
    --with-freetype-includes=/usr/include/freetype2 \
    --with-geos \
    --with-gdal=/usr/bin/gdal-config \
    --with-gdal-includes=/usr/include/gdal \
    --with-gdal-libs=/usr/lib64 \
    --with-gdal-share=/usr/share/gdal \
    --with-nls \
    --with-netcdf \
    --with-odbc \
    --with-openmp \
    --with-postgres \
    --with-python=/usr/bin/python3-config \
    --with-readline \
    --with-proj \
    --with-pthread \
    --with-sqlite \
    --with-wxwidgets=/usr/bin/wx-config
```

But I get the following error:
```
checking host system type... x86_64-pc-linux-gnu
checking for gcc... gcc
[...]
checking whether to use GDAL... yes
checking for gdal-config... /usr/bin/gdal-config
configure: error: *** Unable to locate GDAL library.
```

Do you understand why I still receive this error even if I specify all the paths of the gdal iclude/libs/share directories?
Any ideas on how to solve/fix this issue?

Thank you for your support.

Pietro









_______________________________________________
grass-dev mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-dev

_______________________________________________
grass-dev mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-dev
Reply | Threaded
Open this post in threaded view
|

Re: compila grass on fedora31: configure: error: *** Unable to locate GDAL library.

Markus Neteler
In reply to this post by Pietro Zambelli
Hi Pietro,

On Mon, Nov 11, 2019 at 1:13 PM Pietro <[hidden email]> wrote:

>
> Dear devs,
>
> I have an issue when I try to configure ad compile grass.
> At the moment I'm on Fedora 31. So I installed the default gdal (2.3.2) with:
>
> `sudo dnf install gdal gdal-devel gdal-libs`
>
> I executed locally gdalinfo on a tif and it provide the information of the raster and then I checked the installation paths with:
>
> ```
> $ /usr/bin/gdal-config --version
> 2.3.2
> $ /usr/bin/gdal-config --libs
> -L/usr/lib64 -lgdal
> $ /usr/bin/gdal-config --cflags
> -I/usr/include/gdal
> $ /usr/bin/gdal-config --datadir
> /usr/share/gdal
> ```
>
> So it seems to work, then my configure command is:
>
> ```
> $ CFLAGS="-g -O1 -Wall -Wextra -Wundef -Wfloat-equal -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wstrict-overflow=5 -Wwrite-strings  -Wshadow -Werror-implicit-function-declaration -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Winit-self -Wuninitialized -fno-common -fexceptions -fstack-protector -fmudflap -m64 -mtune=native" \
> CXXFLAGS="-g -O1 -Wall" \
> ./configure \
>     --prefix=$HOME/.local \
>     --with-zstd \
>     --with-blas --with-blas-includes=/usr/include/atlas-x86_64-base/ \
>     --with-lapack --with-lapack-includes=/usr/include/atlas-x86_64-base/ \
>     --with-cxx \
>     --with-cairo \
>     --with-freetype \
>     --with-freetype-includes=/usr/include/freetype2 \
>     --with-geos \
>     --with-gdal=/usr/bin/gdal-config \

^-- this is the only GDAL related line in my "configure" call (also Fedora).

>     --with-gdal-includes=/usr/include/gdal \
>     --with-gdal-libs=/usr/lib64 \
>     --with-gdal-share=/usr/share/gdal \

^- these three I would not specify.

>     --with-nls \
>     --with-netcdf \
>     --with-odbc \
>     --with-openmp \
>     --with-postgres \
>     --with-python=/usr/bin/python3-config \
>     --with-readline \
>     --with-proj \
>     --with-pthread \
>     --with-sqlite \
>     --with-wxwidgets=/usr/bin/wx-config
> ```
>
> But I get the following error:
> ```
> checking host system type... x86_64-pc-linux-gnu
> checking for gcc... gcc
> [...]
> checking whether to use GDAL... yes
> checking for gdal-config... /usr/bin/gdal-config
> configure: error: *** Unable to locate GDAL library.
> ```
>
> Do you understand why I still receive this error even if I specify all the paths of the gdal iclude/libs/share directories?
> Any ideas on how to solve/fix this issue?

- I would not specify them
- and: check the error in `config.log`

Markus
_______________________________________________
grass-dev mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-dev